Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158656 - vmware workstation 4.5.2-8848 crash building modules for new kernel kernel-2.6.11-1.27_FC3
Summary: vmware workstation 4.5.2-8848 crash building modules for new kernel kernel-2....
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-24 15:56 UTC by Sergey Bykov
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-25 00:54:44 UTC


Attachments (Terms of Use)

Description Sergey Bykov 2005-05-24 15:56:46 UTC
Description of problem:
When I install last kernel from fedora-core team (using one of yum repositories:
http://fedora.redhat.com/download/mirrors/updates-released-fc3), then I must
rebuild vmware kernel modules by using script from vmware installation:
vmware-config.pl, but modules cannot be compiled because some errors.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.27_FC3


How reproducible:


Steps to Reproduce:
1. install kernel-2.6.11-1.27_FC3.rpm
2. reboot to kernel-2.6.11-1.27_FC3
3. as root execute vmware-config.pl (remark: vmware 4.5.2-8848)
  
Actual results:
# vmware-config.pl
Making sure services for VMware Workstation are stopped.

Stopping VMware services:
   Virtual machine monitor                                 [  ÐÐ  ]
   Bridged networking on /dev/vmnet0                       [  ÐÐ  ]
   DHCP server on /dev/vmnet8                              [  ÐÐ  ]
   NAT service on /dev/vmnet8                              [  ÐÐ  ]
   Host-only networking on /dev/vmnet8                     [  ÐÐ  ]
   Virtual ethernet                                        [  ÐÐ  ]

Trying to find a suitable vmmon module for your running kernel.

None of the pre-built vmmon modules for VMware Workstation is suitable for your
running kernel.  Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.11-1.27_FC3/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config5/vmmon-only'
make -C /lib/modules/2.6.11-1.27_FC3/build/include/.. SUBDIRS=$PWD
SRCROOT=$PWD/. modules
make[1]: Entering directory `/lib/modules/2.6.11-1.27_FC3/build'
  CC [M]  /tmp/vmware-config5/vmmon-only/linux/driver.o
  CC [M]  /tmp/vmware-config5/vmmon-only/linux/hostif.o
In file included from /tmp/vmware-config5/vmmon-only/linux/hostif.c:68:
/tmp/vmware-config5/vmmon-only/./include/pgtbl.h: In function `PgtblVa2PTELocked':
/tmp/vmware-config5/vmmon-only/./include/pgtbl.h:81: warning: passing arg 1 of
`pmd_offset' from incompatible pointer type
  CC [M]  /tmp/vmware-config5/vmmon-only/common/cpuid.o
  CC [M]  /tmp/vmware-config5/vmmon-only/common/memtrack.o
  CC [M]  /tmp/vmware-config5/vmmon-only/common/phystrack.o
  CC [M]  /tmp/vmware-config5/vmmon-only/common/task.o
  CC [M]  /tmp/vmware-config5/vmmon-only/common/vmx86.o
  LD [M]  /tmp/vmware-config5/vmmon-only/vmmon.o
  Building modules, stage 2.
  MODPOST
  CC      /tmp/vmware-config5/vmmon-only/vmmon.mod.o
  LD [M]  /tmp/vmware-config5/vmmon-only/vmmon.ko
make[1]: Leaving directory `/lib/modules/2.6.11-1.27_FC3/build'
cp -f vmmon.ko ./../vmmon.o
make: Leaving directory `/tmp/vmware-config5/vmmon-only'
The module loads perfectly in the running kernel.

Extracting the sources of the vmnet module.

Building the vmnet module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config5/vmnet-only'
make -C /lib/modules/2.6.11-1.27_FC3/build/include/.. SUBDIRS=$PWD
SRCROOT=$PWD/. modules
make[1]: Entering directory `/lib/modules/2.6.11-1.27_FC3/build'
  CC [M]  /tmp/vmware-config5/vmnet-only/driver.o
  CC [M]  /tmp/vmware-config5/vmnet-only/hub.o
  CC [M]  /tmp/vmware-config5/vmnet-only/userif.o
In file included from /tmp/vmware-config5/vmnet-only/userif.c:45:
/tmp/vmware-config5/vmnet-only/pgtbl.h: In function `PgtblVa2PTELocked':
/tmp/vmware-config5/vmnet-only/pgtbl.h:81: warning: passing arg 1 of
`pmd_offset' from incompatible pointer type
/tmp/vmware-config5/vmnet-only/userif.c: In function `VNetCopyDatagramToUser':
/tmp/vmware-config5/vmnet-only/userif.c:563: warning: implicit declaration of
function `skb_copy_datagram'
  CC [M]  /tmp/vmware-config5/vmnet-only/netif.o
  CC [M]  /tmp/vmware-config5/vmnet-only/bridge.o
  CC [M]  /tmp/vmware-config5/vmnet-only/procfs.o
  LD [M]  /tmp/vmware-config5/vmnet-only/vmnet.o
  Building modules, stage 2.
  MODPOST
Warning: could not open /tmp/vmware-config5/vmnet-only/includeCheck.h: Success
*** Warning: "skb_copy_datagram" [/tmp/vmware-config5/vmnet-only/vmnet.ko]
undefined!
  CC      /tmp/vmware-config5/vmnet-only/vmnet.mod.o
  LD [M]  /tmp/vmware-config5/vmnet-only/vmnet.ko
make[1]: Leaving directory `/lib/modules/2.6.11-1.27_FC3/build'
cp -f vmnet.ko ./../vmnet.o
make: Leaving directory `/tmp/vmware-config5/vmnet-only'
Unable to make a vmnet module that can be loaded in the running kernel:
insmod: error inserting '/tmp/vmware-config5/vmnet.o': -1 Unknown symbol in module
There is probably a slight difference in the kernel configuration between the
set of C header files you specified and your running kernel.  You may want to
rebuild a kernel based on that directory, or specify another directory.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.


Expected results:
Successful builded 

Additional info:
If I use kernel-2.6.10-1.770_FC3 then vmware modules building succesful!

Comment 1 Dave Jones 2005-05-25 00:54:44 UTC
vmware problem.



Note You need to log in before you can comment on or make changes to this bug.